# Uses of Enum Class
org.bukkit.event.block.Action

Packages that use Action
Package
Description
org.bukkit.event.block
`Events` relating to when a `block` is changed or interacts with the `world`.
org.bukkit.event.player
`Events` relating to `players`.

## Uses of Action in org.bukkit.event.block

Methods in org.bukkit.event.block that return Action
Modifier and Type
Method
Description
`static Action`
Action.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Action[]`
Action.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of Action in org.bukkit.event.player

Fields in org.bukkit.event.player declared as Action
Modifier and Type
Field
Description
`protected Action`
PlayerInteractEvent.`action`
Methods in org.bukkit.event.player that return Action
Modifier and Type
Method
Description
`@NotNull Action`
PlayerInteractEvent.`getAction()`
Returns the action type
Constructors in org.bukkit.event.player with parameters of type Action
Modifier
Constructor
Description
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace, @Nullable EquipmentSlot hand)`
``
`PlayerInteractEvent(@NotNull Player who, @NotNull Action action, @Nullable ItemStack item, @Nullable Block clickedBlock, @NotNull BlockFace clickedFace, @Nullable EquipmentSlot hand, @Nullable Location interactionPoint)`